Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface AttachmentRef

public interface AttachmentRef

In the context of a process instance, `AttachmentRef` allows users the access to attachments in the Document Management System. It consists of two attributes: Name and Path. The Name attribute is a short descriptive value used for identification. The Path attribute describes the fully qualified path to the attachment.

There is no limit to the number of attachments that can be associated with a process instance, and there are no restrictions on the types of attachments that can be added.

The standard way of constructing a new `AttachmentRef` is to call the method `ProcessInstance.addAttachment`.

`String` parameters of all methods in this class have a length limit. This limit is documented in the Javadoc description for every parameter. If the length of a value supplied for such a parameter exceeds this limit, or the value is `null`, an exception is thrown. This exception is a subclass of `ModelException`. For future compatibility, only `ModelException` should be caught explicitly.

If the signature of a method does not allow the throwing of exceptions, any value supplied to this method that exceeds the length limit is truncated to the maximum length supported. `null` values are ignored in this case. Any method’s behaviour that differs from the behaviour described above is explained in this method’s Javadoc description.

See Also:
  `ProcessInstance`

Field Summary
`static int` | `MAX_ATTACHMENT_NAME_LENGTH` Specifies the maximum length of the attachment name; currently 30 characters.
`static int` | `MAX_ATTACHMENT_PATH_LENGTH` Specifies the maximum length of the attachment path; currently 2048 characters.

Method Summary
`java.lang.String` | `getName()` Returns the name of this attachment.
`java.lang.String` | `getPath()` Returns the location of the attachment.
`void` | `setName(java.lang.String name)` Sets the name of this attachment.
`void` | `setPath(java.lang.String path)` Sets the path of the attachment.

Field Detail

### MAX_ATTACHMENT_NAME_LENGTH

    public static final int MAX_ATTACHMENT_NAME_LENGTH

  Specifies the maximum length of the attachment name; currently 30 characters.

  See Also:
    Constant Field Values

### MAX_ATTACHMENT_PATH_LENGTH

    public static final int MAX_ATTACHMENT_PATH_LENGTH

  Specifies the maximum length of the attachment path; currently 2048 characters.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this attachment. This name can be used to identify the attachment rather than the file name.

  The name of attachment is set within creation. It can be changed by calling method `setName`.

  Returns:
    The name of this attachment.
  See Also:
    `setName(String)`

### setName

    public void setName(java.lang.String name)

  Sets the name of this attachment. The name of an attachment is used to identify it and should be short and descriptive. In some cases the name is also used to perform actions on the attachments.

  The name must not be longer than specified in `MAX_ATTACHMENT_NAME_LENGTH`.

  Parameters:
    `name` - The attachment's name.
  See Also:
    `getName()`

### getPath

    public java.lang.String getPath()

  Returns the location of the attachment. This returns both the path and filename of the attachment within the Document Management System.

  The path of attachment is specified within creation. It can be changed by calling method `setPath`.

  Returns:
    The fully qualified path and filename of the attachment.
  See Also:
    `setPath(String)`

### setPath

    public void setPath(java.lang.String path)

  Sets the path of the attachment. All attachments are retrieved from the Document Management System (DMS) only. The syntax for the path and file name is dependent on the DMS that has been specified for the server.

  You do not need to worry about the Java `pathSeparatorChar` variable since it is computed at run-time.

  The path must not be longer than specified in `MAX_ATTACHMENT_PATH_LENGTH`.

  Parameters:
    `path` - The fully qualified path and filename of the attachment.
  See Also:
    `getPath()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD